Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class FlushingStreamWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              org.codehaus.groovy.runtime.FlushingStreamWriter

    public class FlushingStreamWriter
    extends java.io.OutputStreamWriter

Stream writer which flushes after each write operation.

Authors:
  Guillaume Laforge

Constructor Summary
`FlushingStreamWriter(java.io.OutputStream out)`

Method Summary
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String str, int off, int len)`

Methods inherited from class java.io.OutputStreamWriter
java.io.OutputStreamWriter#write(int), java.io.OutputStreamWriter#write([C, int, int), java.io.OutputStreamWriter#write(java.lang.String, int, int), java.io.OutputStreamWriter#flush(), java.io.OutputStreamWriter#close(), java.io.OutputStreamWriter#getEncoding(), java.io.OutputStreamWriter#append(java.lang.CharSequence), java.io.OutputStreamWriter#append(java.lang.CharSequence, int, int), java.io.OutputStreamWriter#append(char), java.io.OutputStreamWriter#append(char), java.io.OutputStreamWriter#append(java.lang.CharSequence, int, int), java.io.OutputStreamWriter#append(java.lang.CharSequence), java.io.OutputStreamWriter#write([C), java.io.OutputStreamWriter#write(java.lang.String), java.io.OutputStreamWriter#wait(long), java.io.OutputStreamWriter#wait(long, int), java.io.OutputStreamWriter#wait(), java.io.OutputStreamWriter#equals(java.lang.Object), java.io.OutputStreamWriter#toString(), java.io.OutputStreamWriter#hashCode(), java.io.OutputStreamWriter#getClass(), java.io.OutputStreamWriter#notify(), java.io.OutputStreamWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Constructor Detail

### FlushingStreamWriter

    public FlushingStreamWriter(java.io.OutputStream out)

Method Detail

### write

    public void write(char[] cbuf, int off, int len)

### write

    public void write(int c)

### write

    public void write(java.lang.String str, int off, int len)

Groovy Documentation